From 3e6ef5bb0de6aa290fbf52296e5ba544c713fc67 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Tue, 18 Jun 2024 08:22:11 +0200
Subject: [PATCH] meson: Fix import library name in Windows

This changes the import library name from 'postgres.exe.lib' to
'postgres.lib', which is what it was with the old MSVC build system.

XXX check cygwin

Bug: #18513
Reported-by: Muralikrishna Bandaru <muralikrishna.bandaru@enterprisedb.com>
---
 meson.build             | 6 +++---
 src/backend/meson.build | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/meson.build b/meson.build
index 2767abd19e2..02929bb845f 100644
--- a/meson.build
+++ b/meson.build
@@ -201,7 +201,7 @@ if host_system == 'cygwin'
   cppflags += '-D_GNU_SOURCE'
   dlsuffix = '.dll'
   mod_link_args_fmt = ['@0@']
-  mod_link_with_name = 'lib@0@.exe.a'
+  mod_link_with_name = 'lib@0@.a'
   mod_link_with_dir = 'libdir'
 
 elif host_system == 'darwin'
@@ -273,10 +273,10 @@ elif host_system == 'windows'
   export_file_suffix = 'def'
   if cc.get_id() == 'msvc'
     export_fmt = '/DEF:@0@'
-    mod_link_with_name = '@0@.exe.lib'
+    mod_link_with_name = '@0@.lib'
   else
     export_fmt = '@0@'
-    mod_link_with_name = 'lib@0@.exe.a'
+    mod_link_with_name = 'lib@0@.a'
   endif
   mod_link_args_fmt = ['@0@']
   mod_link_with_dir = 'libdir'
diff --git a/src/backend/meson.build b/src/backend/meson.build
index 436c04af080..78c57268142 100644
--- a/src/backend/meson.build
+++ b/src/backend/meson.build
@@ -133,7 +133,7 @@ postgres = executable('postgres',
   link_with: backend_link_with,
   link_depends: backend_link_depends,
   export_dynamic: true,
-  implib: true,
+  implib: 'postgres',
   dependencies: backend_build_deps,
   kwargs: default_bin_args,
 )
-- 
2.45.2

